import PageLayout from '../layouts/PageLayout.vue';
import FormPageLayout from '../layouts/FormPageLayout.vue';
const __VLS_props = defineProps();
const __VLS_emit = defineEmits(); // @ts-ignore
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
const __VLS_0 = PageLayout || PageLayout;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...(__VLS_ctx.$props),
}));
const __VLS_2 = __VLS_1({
    ...(__VLS_ctx.$props),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
var __VLS_5;
const { default: __VLS_6 } = __VLS_3.slots;
{
    const { actions: __VLS_7 } = __VLS_3.slots;
    var __VLS_8 = {};
    // @ts-ignore
    [$props,];
}
const __VLS_10 = FormPageLayout || FormPageLayout;
// @ts-ignore
const __VLS_11 = __VLS_asFunctionalComponent1(__VLS_10, new __VLS_10({
    ...{ 'onSubmit': {} },
}));
const __VLS_12 = __VLS_11({
    ...{ 'onSubmit': {} },
}, ...__VLS_functionalComponentArgsRest(__VLS_11));
let __VLS_15;
const __VLS_16 = {
    /** @type {typeof __VLS_15.submit} */
    onSubmit: (...[$event]) => {
        return (__VLS_ctx.$emit('submit'));
        // @ts-ignore
        [$emit,];
    },
};
const { default: __VLS_17 } = __VLS_13.slots;
var __VLS_18 = {};
{
    const { preview: __VLS_20 } = __VLS_13.slots;
    var __VLS_21 = {};
    // @ts-ignore
    [];
}
// @ts-ignore
[];
var __VLS_13;
var __VLS_14;
{
    const { footer: __VLS_23 } = __VLS_3.slots;
    var __VLS_24 = {};
    // @ts-ignore
    [];
}
// @ts-ignore
[];
var __VLS_3;
// @ts-ignore
var __VLS_9 = __VLS_8, __VLS_19 = __VLS_18, __VLS_22 = __VLS_21, __VLS_25 = __VLS_24;
// @ts-ignore
[];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
const __VLS_export = {};
export default {};
